org.apache.sysds.runtime.io

## Class FrameReaderProto

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderProto

-     public class FrameReaderProto
      extends FrameReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameReaderProto()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameBlock` | `readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)`
    `FrameBlock` | `readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

      `getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameReaderProto

          public FrameReaderProto()

  - ### Method Detail

    - #### readFrameFromHDFS

          public FrameBlock readFrameFromHDFS(String fname,
                                              Types.ValueType[] schema,
                                              String[] names,
                                              long rlen,
                                              long clen)
                                       throws IOException

      Specified by:
        `readFrameFromHDFS` in class `FrameReader`
      Throws:
        `IOException`

    - #### readFrameFromInputStream

          public FrameBlock readFrameFromInputStream(InputStream is,
                                                     Types.ValueType[] schema,
                                                     String[] names,
                                                     long rlen,
                                                     long clen)

      Specified by:
        `readFrameFromInputStream` in class `FrameReader`

Copyright © 2021 The Apache Software Foundation. All rights reserved.